Subject: Re: bug#44411: 28.0.50; uudecode-decode-region-internal is broken

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Nov 2020 17:36:28 +0200

> Date: Tue, 03 Nov 2020 17:27:41 +0900
> From: Kazuhiro Ito <[email-masked]>
> 
> When I call uudecode-decode-region-internal in multibyte buffer, it
> fails to decode eight-bit characters.

What do you mean by "decode eight-bit characters"?  There's no such
thing in the "real world", it is entirely an Emacs invention.  How
could such "characters" appear in uuencoded email message?

Can you describe the real-life use case where this happened?

> Additionally, concat and char-to-string functions are called so
> frequently that deocder is very slow for large data.

Please show only the changes to fix what you think is a bug.  let's
leave the optimization alone for a moment, so that it doesn't muddy
the waters.

Thanks.